Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.hyphenation
Class Hyphenation

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.Hyphenation

    public class Hyphenation

extends Object

This class represents a hyphenated word.

Author:
  Carlos Villegas

Field Summary
`private int[]` | `hyphenPoints`
`private int` | `len` number of hyphenation points in word
`private String` | `word`

Constructor Summary
`Hyphenation(String word, int[] points)` rawWord as made of alternating strings and `Hyphen` instances

Method Summary
`int[]` | `getHyphenationPoints()`
`String` | `getPostHyphenText(int index)`
`String` | `getPreHyphenText(int index)`
`int` | `length()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hyphenPoints

    private int[] hyphenPoints

### word

    private String word

### len

    private int len

  number of hyphenation points in word

Constructor Detail

### Hyphenation

    Hyphenation(String word,
                int[] points)

  rawWord as made of alternating strings and `Hyphen` instances

Method Detail

### length

    public int length()

  Returns:
    the number of hyphenation points in the word

### getPreHyphenText

    public String getPreHyphenText(int index)

  Returns:
    the pre-break text, not including the hyphen character

### getPostHyphenText

    public String getPostHyphenText(int index)

  Returns:
    the post-break text

### getHyphenationPoints

    public int[] getHyphenationPoints()

  Returns:
    the hyphenation points

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD